{
  "name": "petals-cockpit",
  "version": "1.7.0-alpha",
  "license": "MIT",
  "scripts": {
    "ng": "ng",
    "proxy": "ng serve --proxy-config proxy.conf.json -c dev-nomock",
    "test": "ng test --browsers=ChromiumHeadlessCustom",
    "test:ci": "yarn run test --watch=false --progress=false",
    "check": "tslint-config-prettier-check ./tslint.json && yarn run nglint:check && yarn run tslint:check && yarn run copyrights:check && yarn run prettier:check",
    "check:fix": "yarn run nglint:fix; yarn run tslint:fix; yarn run copyrights:fix; yarn run prettier:fix",
    "nglint:check": "ng lint --type-check petals-cockpit petals-cockpit-e2e petals-cockpit-actual-e2e",
    "nglint:fix": "yarn run nglint:check --fix",
    "tslint:check": "tslint --project ./tsconfig.json",
    "tslint:fix": "yarn run tslint:check --fix",
    "prettier:base": "yarn run prettier --single-quote --trailing-comma es5",
    "prettier:base-files": "yarn run prettier:base './{e2e,src,cypress}/**/*.{js,scss,ts}'",
    "prettier:check": "yarn run prettier:base-files --list-different",
    "prettier:fix": "yarn run prettier:base-files --write",
    "copyrights:check": "yarn run copyrights:fix --dry",
    "copyrights:fix": "node generate-headers.js",
    "e2e": "ng e2e -c dev-e2e petals-cockpit-e2e",
    "e2e:ci": "ng e2e -c prod-e2e-ci petals-cockpit-e2e",
    "e2e:product": "ng e2e petals-cockpit-actual-e2e",
    "cypress": "cypress",
    "cypress:e2e-ldap": "cypress run --browser chromium --env configFile=ldap --spec 'cypress/integration/ldap/*'",
    "cypress:e2e-no-ldap": "cypress run --browser chromium --env configFile=no-ldap --spec 'cypress/integration/no-ldap/*'",
    "build": "ng build",
    "build:product": "yarn run build --prod --base-href '{{baseUrl}}'",
    "build:product:ci": "yarn run build:product --progress=false",
    "build:demo": "yarn run build -c gitlab-pages --base-href /petals-cockpit/",
    "build:demo:ci": "yarn run build:demo --progress=false",
    "build:ldap": "yarn run build -c prod-e2e-ldap",
    "build:ldap:ci": "yarn run build:ldap --progress=false",
    "build:no-ldap": "yarn run build -c prod-e2e",
    "build:no-ldap:ci": "yarn run build:no-ldap --progress=false",
    "postbuild": "gulp compress"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "pre-push": "yarn run check"
    }
  },
  "lint-staged": {
    "*.{js,ts,scss}": "yarn run prettier:base -l",
    "*.ts": "tslint"
  },
  "private": true,
  "engines": {
    "node": "10.15.2"
  },
  "dependencies": {
    "@angular/animations": "6.1.2",
    "@angular/cdk": "6.4.3",
    "@angular/common": "6.1.2",
    "@angular/compiler": "6.1.2",
    "@angular/core": "6.1.2",
    "@angular/flex-layout": "6.0.0-beta.17",
    "@angular/forms": "6.1.2",
    "@angular/http": "6.1.2",
    "@angular/material": "6.4.3",
    "@angular/platform-browser": "6.1.2",
    "@angular/platform-browser-dynamic": "6.1.2",
    "@angular/router": "6.1.2",
    "@fortawesome/angular-fontawesome": "0.3.0",
    "@fortawesome/fontawesome-free": "5.9.0",
    "@fortawesome/fontawesome-svg-core": "1.2.19",
    "@fortawesome/free-regular-svg-icons": "5.9.0",
    "@fortawesome/free-solid-svg-icons": "5.9.0",
    "@ngrx/effects": "6.1.0",
    "@ngrx/store": "6.1.0",
    "@ngrx/store-devtools": "6.1.0",
    "angular2-notifications": "1.0.2",
    "hammerjs": "2.0.8",
    "jdenticon": "1.7.2",
    "js-md5": "0.6.1",
    "jszip": "3.1.5",
    "lodash-es": "4.17.4",
    "markdown-to-html-pipe": "1.2.4",
    "material-design-icons-iconfont": "3.0.3",
    "natives": "1.1.6",
    "ngrx-store-freeze": "0.2.4",
    "ngx-hover-opacity": "0.3.1",
    "ngx-pipes": "2.1.7",
    "ngx-vis": "1.0.0",
    "ngx-webstorage": "2.0.1",
    "rxjs": "6.2.2",
    "rxjs-compat": "6.2.2",
    "ts-helpers": "1.1.2",
    "uuid": "3.1.0",
    "webdriver-manager": "12.1.7",
    "xmltojson": "1.3.5",
    "zone.js": "0.8.26"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "0.7.0",
    "@angular/cli": "6.1.3",
    "@angular/compiler-cli": "6.1.2",
    "@angular/language-service": "6.1.2",
    "@bahmutov/add-typescript-to-cypress": "2.0.0",
    "@types/jasmine": "2.8.8",
    "@types/jasminewd2": "2.0.3",
    "@types/jszip": "3.1.4",
    "@types/lodash-es": "4.17.0",
    "@types/node": "10.0.4",
    "@types/uuid": "3.4.3",
    "@types/xmltojson": "0.0.28",
    "codelyzer": "4.4.2",
    "cypress": "3.1.5",
    "cypress-pipe": "1.4.0",
    "gulp": "3.9.1",
    "gulp-gzip": "1.4.0",
    "husky": "3.0.1",
    "jasmine-core": "3.1.0",
    "jasmine-marbles": "0.3.1",
    "jasmine-spec-reporter": "4.2.1",
    "karma": "2.0.2",
    "karma-chrome-launcher": "2.2.0",
    "karma-clear-screen-reporter": "1.0.0",
    "karma-cli": "1.0.1",
    "karma-coverage-istanbul-reporter": "2.0.1",
    "karma-jasmine": "1.1.2",
    "karma-jasmine-html-reporter": "1.1.0",
    "karma-remap-istanbul": "0.6.0",
    "karma-scss-preprocessor": "3.0.0",
    "lint-staged": "9.2.1",
    "lodash": "4.17.4",
    "prettier": "1.11.1",
    "protractor": "6.0.0",
    "ts-node": "6.1.2",
    "tslint": "5.10.0",
    "tslint-config-prettier": "1.13.0",
    "tslint-language-service": "0.9.9",
    "typescript": "2.9.2"
  },
  "resolutions": {
    "@angular/core": "6.1.2",
    "typescript": "2.9.2",
    "rxjs": "6.2.2"
  }
}
